%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-timezone
%global commit 32aa9f58992067eda45f372d788a9388934d5355
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-timezone
Version:        4.1.1
Release:        3%{?dist}
Summary:        Manage timezone settings via Puppet.
License:        ASL 2.0

URL:            https://github.com/saz/puppet-timezone

Source0:        https://github.com/saz/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=v4.1.1
Patch0001: 0001-Fix-etc-localtime-to-be-an-actual-symlink.patch
Patch0002: 0002-Fix-link-management-for-localtime.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Manage timezone settings via Puppet.

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/timezone/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/timezone/



%files
%{_datadir}/openstack-puppet/modules/timezone/


%changelog
* Wed Oct 24 2018 David Peacock <dpeacock@redhat.com> 4.1.1-3
- Fix link management for localtime (rhbz#1624707)

* Thu Oct 04 2018 David Peacock <dpeacock@redhat.com> 4.1.1-2
- Fix /etc/localtime to be an actual symlink (rhbz#1624707)

* Thu Feb 15 2018 RDO <dev@lists.rdoproject.org> 4.1.1-1
- Update to 4.1.1
